Change in ...osmo-bts[master]: manuals: Add script to regenerate counter/vty documentation

daniel gerrit-no-reply at lists.osmocom.org
Wed Jun 19 12:44:18 UTC 2019


daniel has submitted this change and it was merged. ( https://gerrit.osmocom.org/c/osmo-bts/+/14522 )

Change subject: manuals: Add script to regenerate counter/vty documentation
......................................................................

manuals: Add script to regenerate counter/vty documentation

This will generate the VTY/counter documentation for osmo-bts-virtual so
it will be missing documentation for device-specific commands/counters.

Change-Id: Idebb099b69924d6212db119f7a2f2861d4150d7e
Related: OS#1700
---
M doc/manuals/Makefile.am
A doc/manuals/regen_doc.sh
2 files changed, 18 insertions(+), 0 deletions(-)

Approvals:
  pespin: Looks good to me, approved
  Jenkins Builder: Verified



diff --git a/doc/manuals/Makefile.am b/doc/manuals/Makefile.am
index 1d8125f..e8018d5 100644
--- a/doc/manuals/Makefile.am
+++ b/doc/manuals/Makefile.am
@@ -6,6 +6,7 @@
     osmobts-vty-reference.xml \
     rtp-amr.adoc \
     rtp-amr-docinfo.xml \
+    regen_doc.sh \
     abis \
     chapters \
     vty
diff --git a/doc/manuals/regen_doc.sh b/doc/manuals/regen_doc.sh
new file mode 100755
index 0000000..6ff5091
--- /dev/null
+++ b/doc/manuals/regen_doc.sh
@@ -0,0 +1,17 @@
+#!/bin/sh -x
+
+if [ -z "$DOCKER_PLAYGROUND" ]; then
+	echo "You need to set DOCKER_PLAYGROUND"
+	exit 1
+fi
+
+SCRIPT=$(realpath "$0")
+MANUAL_DIR=$(dirname "$SCRIPT")
+
+COMMIT=${COMMIT:-$(git log -1 --format=format:%H)}
+
+cd "$DOCKER_PLAYGROUND/scripts" || exit 1
+
+OSMO_BTS_BRANCH=$COMMIT ./regen_doc.sh osmo-bts 4241 \
+	"$MANUAL_DIR/chapters/counters_generated.adoc" \
+	"$MANUAL_DIR/vty/bts_vty_reference.xml"

-- 
To view, visit https://gerrit.osmocom.org/c/osmo-bts/+/14522
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings

Gerrit-Project: osmo-bts
Gerrit-Branch: master
Gerrit-Change-Id: Idebb099b69924d6212db119f7a2f2861d4150d7e
Gerrit-Change-Number: 14522
Gerrit-PatchSet: 2
Gerrit-Owner: daniel <dwillmann at sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: daniel <dwillmann at sysmocom.de>
Gerrit-Reviewer: pespin <pespin at sysmocom.de>
Gerrit-MessageType: merged
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.osmocom.org/pipermail/gerrit-log/attachments/20190619/460c0afb/attachment.html>


More information about the gerrit-log mailing list